Foxit PDF RDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
MediaSettings Class Reference
Inheritance diagram for MediaSettings:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (auto_play, base_url, bg_color, bg_opacity, duration, page, repeat, show_ui, is_visible, volume, window_type, floating_wnd_info)
| Constructor, with parameters. More...
| Set (auto_play, base_url, bg_color, bg_opacity, duration, page, repeat, show_ui, is_visible, volume, window_type, floating_wnd_info)
| Set values. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| auto_play
| Specify whether the media clip should begin playing automatically after the player is opened. More...
| base_url
| The base URL to be used to resolve any relative URLs used in the media clip. More...
| bg_color
| The background color for the media player window. Format: 0xRRGGBB.
| bg_opacity
| The background opacity for the media player window.
| duration
| The amount of time in seconds that playback will take.
| floating_wnd_info
| A FloatingInfo containing properties (listed below) that define the location and style of a floating window.
| is_visible
| A boolean value that specifies whether the player should be visible.
| page
| For a docked media player, this property is the number of the page on which the player should be docked. For other types of media players, this property is ignored.
| repeat
| The number of times the media playback should automatically repeat. More...
| show_ui
| A boolean value that specifies whether the controls of the media player should be visible or not.
| volume
| Specify the playback volume. A value of 0 is muted, a value of 100 is normal (full) volume.
| window_type
| That defines which type of window the media player should be created in. Please refer to values starting from MediaSettings.e_PlayerWindowTypeDockedPage and this should be one of these values.

## Static Public Attributes
static | e_PlayerWindowTypeDockedPage
| Enumeration for the type of window that the media should play in. More...
static | e_PlayerWindowTypeFloating
| Window type: a floating window.
static | e_PlayerWindowTypeFullScreen
| Window type: a full-screen window that obscures all other windows.

## Detailed Description

This class represents media settings.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

MediaSettings.constructor | ( | auto_play | ,
|  | base_url | ,
|  | bg_color | ,
|  | bg_opacity | ,
|  | duration | ,
|  | page | ,
|  | repeat | ,
|  | show_ui | ,
|  | is_visible | ,
|  | volume | ,
|  | window_type | ,
|  | floating_wnd_info |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | auto_play | Specify whether the media clip should begin playing automatically after the player is opened.
  [in] | base_url | The base URL to be used to resolve any relative URLs used in the media clip.
  [in] | bg_color | The background color for the media player window.
  [in] | bg_opacity | The background opacity for the media player window.
  [in] | duration | The amount of time in seconds that playback will take.
  [in] | page | The number of the page on which the player should be docked.
  [in] | repeat | The number of times the media playback should automatically repeat.
  [in] | show_ui | A boolean value that specifies whether the controls of the media player should be visible or not.
  [in] | is_visible | A boolean value that specifies whether the player should be visible.
  [in] | volume | Specify the playback volume. A value of 0 is muted, a value of 100 is normal (full) volume.
  [in] | window_type | That defines which type of window the media player should be created in.
  [in] | floating_wnd_info | A FloatingInfo object containing properties (listed below) that define the location and style of a floating window.

## ◆ Set()

MediaSettings.Set | ( | auto_play | ,
|  | base_url | ,
|  | bg_color | ,
|  | bg_opacity | ,
|  | duration | ,
|  | page | ,
|  | repeat | ,
|  | show_ui | ,
|  | is_visible | ,
|  | volume | ,
|  | window_type | ,
|  | floating_wnd_info |
| ) |  |

Set values.

Parameters

  [in] | auto_play | Specify whether the media clip should begin playing automatically after the player is opened.
  [in] | base_url | The base URL to be used to resolve any relative URLs used in the media clip.
  [in] | bg_color | The background color for the media player window.
  [in] | bg_opacity | The background opacity for the media player window.
  [in] | duration | The amount of time in seconds that playback will take.
  [in] | page | The number of the page on which the player should be docked.
  [in] | repeat | The number of times the media playback should automatically repeat.
  [in] | show_ui | A boolean value that specifies whether the controls of the media player should be visible or not.
  [in] | is_visible | A boolean value that specifies whether the player should be visible.
  [in] | volume | Specify the playback volume. A value of 0 is muted, a value of 100 is normal (full) volume.
  [in] | window_type | That defines which type of window the media player should be created in.
  [in] | floating_wnd_info | A FloatingInfo object containing properties (listed below) that define the location and style of a floating window.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Data Documentation

## ◆ auto_play

MediaSettings.auto_play

Specify whether the media clip should begin playing automatically after the player is opened.

true means auto play, while false means not.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ base_url

MediaSettings.base_url

The base URL to be used to resolve any relative URLs used in the media clip.

For example, if the media opens a web page. There is no default value; if this is not specified, the interpretation of a relative URL will vary depending the media player, but in most cases will not work.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ e_PlayerWindowTypeDockedPage

MediaSettings.e_PlayerWindowTypeDockedPage
| static

Enumeration for the type of window that the media should play in.

Values of this enumeration should be used alone.

Window type: a docked page window.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ repeat

MediaSettings.repeat

The number of times the media playback should automatically repeat.

The default value of 1 causes the media to be played once.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.